'''
This module contains an object of class Solver for each installed solver of the 
portfolio. Each object of class Solver might be defined manually, but it is 
however strongly suggested to first generate it automatically by using the
make_pfolio.py script in solvers folder. Then, once the file is created, it 
is possible to customize each object. Note that running make_pfolio.py script 
will replace the current file.
'''

from solver import Solver

g12osicbc = Solver()
g12osicbc.name = 'g12osicbc'
g12osicbc.mznlib = '/home/roberto/sunny-cp/solvers/g12osicbc/mzn-lib'
g12osicbc.fzn_exec = '/home/roberto/sunny-cp/solvers/g12osicbc/fzn-exec'
